package tryslim3.model;

import org.apache.commons.lang.builder.ToStringBuilder;

public class Crud2Form {
    private String searchTitle;
    private String searchContent;
    private String searchDateFrom;
    private String searchDateTo;
    private String searchNumberFrom;
    private String searchNumberTo;
    private String searchFlag;

    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    /**
     * @return searchTitle
     */
    public String getSearchTitle() {
        return searchTitle;
    }

    /**
     * @param searchTitle
     *            セットする searchTitle
     */
    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    /**
     * @return searchContent
     */
    public String getSearchContent() {
        return searchContent;
    }

    /**
     * @param searchContent
     *            セットする searchContent
     */
    public void setSearchContent(String searchContent) {
        this.searchContent = searchContent;
    }

    /**
     * @return searchDateFrom
     */
    public String getSearchDateFrom() {
        return searchDateFrom;
    }

    /**
     * @param searchDateFrom
     *            セットする searchDateFrom
     */
    public void setSearchDateFrom(String searchDateFrom) {
        this.searchDateFrom = searchDateFrom;
    }

    /**
     * @return searchDateTo
     */
    public String getSearchDateTo() {
        return searchDateTo;
    }

    /**
     * @param searchDateTo
     *            セットする searchDateTo
     */
    public void setSearchDateTo(String searchDateTo) {
        this.searchDateTo = searchDateTo;
    }

    /**
     * @return searchNumberFrom
     */
    public String getSearchNumberFrom() {
        return searchNumberFrom;
    }

    /**
     * @param searchNumberFrom
     *            セットする searchNumberFrom
     */
    public void setSearchNumberFrom(String searchNumberFrom) {
        this.searchNumberFrom = searchNumberFrom;
    }

    /**
     * @return searchNumberTo
     */
    public String getSearchNumberTo() {
        return searchNumberTo;
    }

    /**
     * @param searchNumberTo
     *            セットする searchNumberTo
     */
    public void setSearchNumberTo(String searchNumberTo) {
        this.searchNumberTo = searchNumberTo;
    }

    /**
     * @return searchFlag
     */
    public String getSearchFlag() {
        return searchFlag;
    }

    /**
     * @param searchFlag
     *            セットする searchFlag
     */
    public void setSearchFlag(String searchFlag) {
        this.searchFlag = searchFlag;
    }

}
